### Struct

# Hinawa CycleTime

#### Description [src]

    struct HinawaCycleTime {
      /* No available fields */
    }

A boxed object to express data of cycle time. A `HinawaCycleTime` expresses the value of cycle time of 1394 OHCI as well as Linux system time referring to clock_id.

#### Constructors

###### hinawa_cycle_time_new

Allocate and return an instance of `HinawaCycleTime`.

since: 2.6

#### Functions

###### hinawa_cycle_time_parse_tstamp

Parse second count and cycle count from unsigned 16 bit integer value retrieved by Asynchronous Transmit (AT), Asynchronous Receive(AR), Isochronous Transmit (IT), and Isochronous Receive (IR) contexts of 1394 OHCI.

since: 2.6

#### Instance methods

###### hinawa_cycle_time_compute_tstamp

Compute second count and cycle count from unsigned 16 bit integer value retrieved by Asynchronous Transmit (AT), Asynchronous Receive(AR), Isochronous Transmit (IT), and Isochronous Receive (IR) contexts of 1394 OHCI. The second count is completed with the internal value read from the CYCLE_TIME register. For the precise computation, the method should be called in the condition that the timing between receipt of time stamp and access to CYCLE_TIME register is within 8 seconds.

since: 2.6

###### hinawa_cycle_time_get_clock_id

Get the ID of clock for timestamp.

since: 2.6

###### hinawa_cycle_time_get_fields

Get the value of cycle time in 1394 OHCI hardware. The first element of array expresses the value of sec field, up to 127. The second element of array expresses the value of cycle field, up to 7999. The third element of array expresses the value of offset field, up to 3071.

since: 2.6

###### hinawa_cycle_time_get_raw

Get the value of cycle time in 1394 OHCI hardware.

since: 2.6

###### hinawa_cycle_time_get_system_time

Get system time with enough size of strorage. The timestamp refers to clock_id available by `hinawa_cycle_time_get_clock_id()`.

since: 2.6